# $Revision: 1.17 $, $Date: 2012/01/13 21:00:49 $
#
# Conditional build:
%bcond_with	iodbc	# use iodbc instead of unix-odbc
#
Summary:	ODBC interface to PostgreSQL
Summary(es.UTF-8):	Driver ODBC para acceder un servidor PostgreSQL
Summary(pl.UTF-8):	Interfejs ODBC do PostgreSQL
Summary(pt_BR.UTF-8):	Driver ODBC necessário para acessar um servidor PostgreSQL
Summary(zh_CN.UTF-8):	用 ODBC 访问 一个 PostgreSQL 数据库的 ODBC 驱动
Name:		psqlodbc
Version:	09.01.0100
Release:	2
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.postgresql.org/pub/odbc/versions/src/%{name}-%{version}.tar.gz
# Source0-md5:	08121d9d57bb2dbab11c36c2cc8e8edb
URL:		http://psqlodbc.projects.postgresql.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
%{?with_iodbc:BuildRequires:	libiodbc-devel}
BuildRequires:	libtool
BuildRequires:	postgresql-devel
%{!?with_iodbc:BuildRequires:	unixODBC-devel}
%{?with_iodbc:Requires:	libiodbc}
Obsoletes:	postgresql-odbc
Obsoletes:	postgresql-odbc-devel
Obsoletes:	postgresql-odbc-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes library for interface ODBC.
%{?with_iodbc:This rpm uses libiODBC.}

%description -l es.UTF-8
Driver para acceder un servidor PostgreSQL, a través de ODBC.
%{?with_iodbc:This rpm uses libiODBC.}

%description -l pl.UTF-8
Pakiet ten zawiera biblioteki dla interfejsu ODBC.
%{?with_iodbc:Ten pakiet rpm używa libiODBC.}

%description -l pt_BR.UTF-8
Driver ODBC necessário para acessar um servidor PostgreSQL.
%{?with_iodbc:This rpm uses libiODBC.}

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_iodbc:--with-iodbc} \
	%{!?with_iodbc:--with-unixodbc}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt docs/*
%attr(755,root,root) %{_libdir}/psqlodbcw.so
%{_libdir}/psqlodbcw.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psqlodbc.spec,v $
Revision 1.17  2012/01/13 21:00:49  arekm
- release 2

Revision 1.16  2012/01/13 17:36:57  zbyniu
- up to 09.01.0100

Revision 1.15  2011/05/26 00:44:30  zbyniu
- up to 09.00.0300

Revision 1.14  2008/11/18 21:31:08  radek
- version 08.03.0400

Revision 1.13  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.11  2005/02/16 17:49:16  qboosh
- refresh ac/am/lt to fix build on amd64; release 2

Revision 1.10  2005/02/16 15:08:01  qboosh
- refresh config.sub

Revision 1.9  2005/02/16 14:51:21  qboosh
- updated Source0 URL

Revision 1.8  2004/10/31 21:05:47  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/04/12 02:43:27  qboosh
- cleanup, fixed unixODBC build

Revision 1.6  2004/04/11 16:22:17  hunter
-bcond: build against libiodbc

Revision 1.5  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.4  2003/05/28 13:01:25  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:25:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/13 17:44:56  qboosh
- fixed License
- added decriptions from old postgresql.spec
- Obsoletes for old postgresql-odbc* packages

Revision 1.1  2003/03/12 13:03:33  pascalek
- initial release
